-- BEEPING ON ALL MESSAGES

beep_enable = false

main.command ( 'beep',
	function ( args )
		local enable = main.yesno ( args )
		if enable ~= nil then
			beep_enable = enable
		end
		if beep_enable then
			hooks_d['hook-message-in'].beep = main.beep
			print ( "Beep on message is enabled" )
		else
			hooks_d['hook-message-in'].beep = nil
			print ( "Beep on message is disabled" )
		end
	end, false, 'yesno' )

commands_help['beep'] = "[enable|disable|on|off|yes|no|true|false]\n\nEnables or disables beeping on all messages.\nIf state is omitted, prints current state."

-- vim: se ts=4: --
